# Class CIM_CASignsPublicKeyCertificate
extends CIM_ManagedCredential

This relationship associates a CertificateAuthority with the certificates it signs.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_ManagedCredential
|
+--CIM_CASignsPublicKeyCertificate

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_ServiceAffectsElement
Description | string | This relationship associates a CertificateAuthority with the certificates it signs.
UMLPackagePath | string | CIM::User::PublicKey
Version | string | 2.16.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Expires | datetime |
Deprecated | string | CIM_Credential.Expires
Description | string | The time it expires.
SerialNumber | string |
Deprecated | string | No value
Description | string | The Serial Number.
CRLDistributionPoint | string[] |
Deprecated | string | No value
Description | string | The Authority's revocation list distribution points.
Signature | uint8[] |
Deprecated | string | No value
Description | string | The Signature.
OctetString | boolean | true

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_CASignsPublicKeyCertificate | CIM_CertificateAuthority
Dependent | CIM_CASignsPublicKeyCertificate | CIM_PublicKeyCertificate

## Class Methods